Summary:	The GNU shar utilities for packaging and unpackaging shell archives.
Name:		sharutils
Version:	4.2.1
Release:	1
License:	GPL
Group:		Applications/Archiving
Source0:	ftp://prep.ai.mit.edu/pub/gnu/sharutils/sharutils-%{version}.tar.gz
Patch1:		sharutils-4.2-gmo.patch
Patch2:		sharutils-4.2-man.patch
Patch3:		sharutils-4.2-po.patch
Patch4:		sharutils-4.2-share.patch
Patch5:		sharutils-4.2-uudecode.patch
Patch6:		sharutils-4.2.1-mktemp.patch
Patch7:		sharutils-4.2.1-uudecode.patch
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through e-mail (which can be problematic for regular
binary files).  The shar utility supports a wide range of capabilities
(compressing, uuencoding, splitting long files for multi-part
mailings, providing checksums), which make it very flexible at
creating shar files.  After the files have been sent, the unshar tool
scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the
shar files.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man1/*
  %doc %{_mandir}/man5/*
  %doc %{_infodir}/*.info*

  %attr(0511,root,root)	%{_bindir}/*

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
  %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall install-man
  gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/{sharutils*,remsync*}

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 30 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 4.2.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
